Atk::Range Class Reference

A given range or subrange, to be used with Atk::Value. More...

`#include <atkmm/range.h>`

## Public Member Functions

| Range ()
| Range (AtkRange * gobject, bool make_a_copy=true)
| Range (const Range & other)
Range & | operator= (const Range & other)
| Range (Range && other) noexcept
Range & | operator= (Range && other) noexcept
| ~Range () noexcept
void | swap (Range & other) noexcept
AtkRange * | gobj ()
| Provides access to the underlying C instance.
const AtkRange * | gobj () const
| Provides access to the underlying C instance.
AtkRange * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| Range (double lower_limit, double upper_limit, const Glib::ustring & description)
double | get_lower_limit () const
| Returns the lower limit of range.
double | get_upper_limit () const
| Returns the upper limit of range.

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Attributes

AtkRange * | gobject_

## Related Symbols

(Note that these are not member symbols.)
void | swap (Range & lhs, Range & rhs) noexcept
Atk::Range | wrap (AtkRange * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A given range or subrange, to be used with Atk::Value.

This represents the full range of a given component (for example a slider or a range control), or, to define each individual subrange, this full range is split if available.

Since atkmm 2.24

## Constructor & Destructor Documentation

## Range() [1/5]

Atk::Range::Range | ( |  | ) |

## Range() [2/5]

Atk::Range::Range | ( | AtkRange * | gobject,
|  | bool | make_a_copy = true )

explicit

## Range() [3/5]

Atk::Range::Range | ( | const Range & | other | ) |

## Range() [4/5]

Atk::Range::Range | ( | Range && | other | ) |

noexcept

## ~Range()

Atk::Range::~Range | ( |  | ) |

noexcept

## Range() [5/5]

Atk::Range::Range | ( | double | lower_limit,
|  | double | upper_limit,
|  | const Glib::ustring & | description )

## Member Function Documentation

## get_lower_limit()

double Atk::Range::get_lower_limit | ( |  | ) | const

Returns the lower limit of range.

Since atkmm 2.12

Returns
  The lower limit of range.

## get_type()

GType Atk::Range::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## get_upper_limit()

double Atk::Range::get_upper_limit | ( |  | ) | const

Returns the upper limit of range.

Since atkmm 2.12

Returns
  The upper limit of range.

## gobj() [1/2]

AtkRange * Atk::Range::gobj | ( |  | ) |

inline

Provides access to the underlying C instance.

## gobj() [2/2]

const AtkRange * Atk::Range::gobj | ( |  | ) | const

inline

Provides access to the underlying C instance.

## gobj_copy()

AtkRange * Atk::Range::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

## operator=() [1/2]

Range & Atk::Range::operator= | ( | const Range & | other | ) |

## operator=() [2/2]

Range & Atk::Range::operator= | ( | Range && | other | ) |

noexcept

## swap()

void Atk::Range::swap | ( | Range & | other | ) |

noexcept

## Friends And Related Symbol Documentation

## swap()

void swap | ( | Range & | lhs,
|  | Range & | rhs )

related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

## wrap()

Atk::Range wrap | ( | AtkRange * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## gobject_

AtkRange* Atk::Range::gobject_

protected